/*
 * Copyright 2010-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License").
 * You may not use this file except in compliance with the License.
 * A copy of the License is located at
 *
 *  http://aws.amazon.com/apache2.0
 *
 * or in the "license" file accompanying this file. This file is distributed
 * on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */

package com.amazonaws.services.pinpoint.model.transform;

import com.amazonaws.services.pinpoint.model.*;
import com.amazonaws.transform.SimpleTypeJsonUnmarshallers.*;
import com.amazonaws.transform.*;
import com.amazonaws.util.json.AwsJsonReader;

/**
 * JSON unmarshaller for response PutEventStreamResult
 */
public class PutEventStreamResultJsonUnmarshaller implements
        Unmarshaller<PutEventStreamResult, JsonUnmarshallerContext> {

    public PutEventStreamResult unmarshall(JsonUnmarshallerContext context) throws Exception {
        PutEventStreamResult putEventStreamResult = new PutEventStreamResult();

        return putEventStreamResult;
    }

    private static PutEventStreamResultJsonUnmarshaller instance;

    public static PutEventStreamResultJsonUnmarshaller getInstance() {
        if (instance == null)
            instance = new PutEventStreamResultJsonUnmarshaller();
        return instance;
    }
}
